# Packmangroup: System
# Packmanpackagename: pydb
# Packman: Manfred Tremmel

Name:           pydb
Summary:        Pydb is an expanded version of the Python debugger
Summary(de):    Pydb ist eine erweiterte Version des Python Debuggers
Version:        1.26
Release:        2.pm.2.41
License:        GPL v2 or later
Group:          Development/Languages/Python
URL:            http://bashdb.sourceforge.net/pydb/

Source0:        pydb-1.26.tar.bz2

Vendor:         Packman
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
Requires:       python
BuildRequires:  python >= 2.3.4
BuildRequires:  emacs
BuildRequires:  emacs-x11
BuildRequires:  fdupes

%description
pydb is an expanded version of the Python debugger loosely based on
the gdb command set. It also has all of the features found in an
earlier version of pydb.py that was distributed with the debugger
GUI ddd.

%description -l de
pydb ist eine erweiterte Version des Python Debuggers, basierend auf
den gdb Kommandotools. Es enthält alle Funktionen die in einer früheren
Version von pydb.py waren, die mit der Debugger-GUI ddd mitgeliefert
wurden.

%prep
%setup -n %{name}-%{version}

%build
%configure
%{__make} %{?jobs:-j%{jobs}}

%install
%makeinstall
cd %{buildroot}%{_bindir}
%{__rm} -f pydb
%{__ln_s} ../..%{py_sitedir}/pydb/pydb.py pydb
%fdupes -s %{buildroot}

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README THANKS TODO
%{_bindir}/*
%{py_sitedir}/pydb
%{_mandir}/man1/*
%{_datadir}/emacs/site-lisp/pydb.*

%changelog
* Fri Sep 11 2009 Manfred Tremmel <Manfred.Tremmel@iiv.de> - 1.26-1.pm.1
- cleanups where rpmlint wasn't so happy
* Sun Apr 12 2009 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to version 1.26
* Fri Dec 26 2008 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to version 1.25
* Fri Jun 06 2008 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- included a patch, sent by the author
* Fri May 30 2008 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to version 1.23
* Mon Apr 16 2007 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to version 1.22
* Wed Feb 14 2007 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to version 1.21
* Sat Dec 16 2006 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to version 1.20
* Sat Oct 28 2006 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- can not be noarch, because of the lib and lib64 directory in
  py_sitedir on 32Bit and some 64Bit architectures.
* Sat Oct 28 2006 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to version 1.19
* Wed Sep 27 2006 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to version 1.18
* Tue Sep 05 2006 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- fixed a link
- improved description
* Sun Sep 03 2006 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- first spec file
